### Constructor

# WebKit URISchemeResponse new

#### Declaration [src]

    WebKitURISchemeResponse*
    webkit_uri_scheme_response_new (
      GInputStream* input_stream,
      gint64 stream_length
    )

#### Description [src]

Create a new `WebKitURISchemeResponse`.

Available since: | 2.36

#### Parameters

`input_stream` | `GInputStream`
| A `GInputStream` to read the contents of the request.
| The data is owned by the caller of the function.
`stream_length` | `gint64`
| The length of the stream or -1 if not known.

#### Return value

Returns: | `WebKitURISchemeResponse`
| The newly created `WebKitURISchemeResponse`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.